import communicationservices.*;
import controlservices.*;
import dataservices.*;

/**
 * <p>Title: SNMPProxy</p>
 * <p>Description: This class loads all major components needed to run the SNMP
 * Proxy and starts the SNMP Proxy.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Printronix</p>
 * @author Christopher M. King (kingc@uci.edu)
 * @version 0.5
 */

public class SNMPProxy
{
  public static void main(String[] args)
  {
    SNMPProxyConfig config = new SNMPProxyConfig();
    config.loadConfigFile();
    config.loadArguments(args);

    ProxyManager proxyManager = new ProxyManager(); // init controller
    proxyManager.start();                           
  }
}