package communicationservices;

import controlservices.*;

import java.io.*;
import java.net.*;
import java.util.*;

/**
 * <p>Title: SNMP Test</p>
 * <p>Description: Basic experimentation of a Java SNMP abilities</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Team6, ICS 125 for Printronix</p>
 * @author Christopher M. King
 * @version 0.2
 */

public class UDPComManager extends Thread
{
  ProxyManager proxyManager;

  public UDPComManager(ProxyManager pM)
  {
    proxyManager = pM;
  }

  public void listen(int port)
  {
    UDPListener udpListener = new UDPListener(port, this);
    udpListener.start();
  }

  public void send(DatagramPacket udp)
  {
    DatagramSocket sock = null;
    try
    {
        sock = new DatagramSocket(165);
    }
    catch(Exception e) {};
    UDPSender udpSender = new UDPSender(sock);
    udpSender.send(udp);
  }
  public void recievedUDP(DatagramPacket udpPacket)
  {
    proxyManager.recievedUDP(udpPacket);
  }
}

