package communicationservices;

import java.util.*;
import java.net.*;

public class UDPSender
{
  DatagramSocket socket;

  public UDPSender(int port)
  {
    try
    {
      socket = new DatagramSocket(port);
    }
    catch (Exception e)
    {
      System.out.println("Error: could not create socket for: " + port );
    }
  }
  public UDPSender( DatagramSocket sock)
  {
    socket = sock;
  }

  public void send(DatagramPacket udpPacket)
  {
    try
    {
      socket.send(udpPacket);
      socket.close();
    }

    catch (Exception e)
    {
      System.out.println("Error: could not send UDP packet");
    }
  }


} 
