package dataservices;

public class MibOidEntry implements Comparable
{
  String oid;
  String access;
  String type;

  public MibOidEntry ()
  {
    oid = null;
    access = null;  //read only
    type = null;
  }

  public MibOidEntry (String oid, String access, String type)
  {
    this.oid = oid;
    this.access = access;
    this.type = type;
  }

  public String getOid ()
  {
    return oid;
  }

  public String getAccess ()
  {
    return access;
  }

  public String getType ()
  {
    return type;
  }

  public int compareTo (Object obj)
  {
    return this.getOid().compareTo(((MibOidEntry)obj).getOid());
  }
}