package dataservices;

public class TranslationTableEntry extends MibOidEntry
{
	String profileValue;
	String command;
	String attributeList;

	public TranslationTableEntry ()
	{
		super();
		profileValue = null;
		command = null;
		attributeList = null;
	}

	public TranslationTableEntry (String oid, String access, String type, String value,
				String command,	String attributeList)
	{
		super(oid, access, type);
		this.profileValue = value;
		this.command = command;
		this.attributeList = attributeList;
	}
	public String getProfileValue ()
	{
		return profileValue;
	}

	public String getCommand ()
	{
		return command;
	}

	public String getAttributeList ()
	{
		return attributeList;
	}
}